Draft PointArray/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/tr |Name=Draft PointArray |Name/tr=Nokta dizisi |Icon=Draft_PointArray.svg |Workbenches=Draft, Arch |MenuLocation=Draft →...")
(Updating to match new version of source page)
Line 13: Line 13:


The PointArray tool places copies of a selected shape along various selected points.
The PointArray tool places copies of a selected shape along various selected points.

The PointArray tool can be used on 2D shapes created with the [[Draft Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part]], [[PartDesign Workbench|PartDesign]], or [[Arch Workbench]]es.

To position copies in an orthogonal array use [[Draft Array]]; to position copies along a path use [[Draft PathArray]]; to create copies or clones, and manually place them use [[Draft Move]], [[Draft Rotate]], and [[Draft Clone]].


[[Image:Draft_PointArray_Example.png|400px]]
[[Image:Draft_PointArray_Example.png|400px]]
{{Caption|Object arranged at specific points}}


==How to use==
==How to use==


# Select an object that you wish to distribute.
# Create a shape object you wish to distribute. You will get the best results if your object is '''centred around the origin''', that is, if its {{PropertyData|position}} is [0, 0, 0].
# Select a point compound.
# Place points using [[Draft Point]].
# Select the points and create a compound of them using [[Draft Upgrade]].
# Press the {{Button|[[Image:Draft_PointArray.svg|16px]] [[Draft PointArray]]}} button.

# First select your shape, then the new point compound, and then press the {{KEY|[[Image:Draft_PointArray.svg|16px]] [[Draft PointArray]]}} button.
To create a point compound select various [[Draft Point]]s and then press the {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade]]}} button.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.


==Options==
==Options==


There are no options for this tool. Either it works with the selected objects or not.
* The array starts with shape copies which are not aligned to the path, nor translated to a new position by default. You can then change the alignment and/or translation vector in the properties.


==Properties==
==Properties==


* {{PropertyData|Base}}: The shape object
* {{PropertyData|Base}}: specifies the object to duplicate.
* {{PropertyData|Count}}: The number of times to copy the shape (read only)
* {{PropertyData|Count}}: (read-only) specifies the number of copies of the base object. This number will depend on the number of [[Draft Point]]s in the compound.
* {{PropertyData|PointList}}: a compound of points
* {{PropertyData|PointList}}: specifies the compound object with the points needed to place the copies of the base object.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


The PointArray tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The PointArray tool can be used in [[macros]] and from the [[Python]] console by using the following function:

{{Code|code=
{{Code|code=
makePointArray(base, ptlst)
PointArray = makePointArray(base, ptlst)
}}
}}

* {{incode|base}} is the shape to copy, and {{incode|ptlst}} is an object with Geometry, Links, or Components that define the position of the copies.
* Creates a {{incode|PointArray}} object from the {{incode|base}} object, by placing the copies along {{incode|ptlst}}.
* {{incode|ptlst}} is an object with {{incode|Geometry}}, {{incode|Links}}, or {{incode|Components}} attributes that define the position of the copies.


Example:
Example:
Line 46: Line 56:
import FreeCAD, Draft
import FreeCAD, Draft


poly = Draft.makePolygon(3, radius=500.0)
Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))


# Create a compound of points
upg = Draft.upgrade([p1, p2, p3], delete=True)
addList, deleteList = Draft.upgrade([p1, p2, p3])
compound = upg[0][0] # Extract the compound from the list

# Extract the compound from the list
compound = addList[0]


array = Draft.makePointArray(poly, compound)
PointArray = Draft.makePointArray(Polygon, compound)
}}
}}


{{Draft Tools navi}}
==Usage Notes==
{{Userdocnavi}}
* {{emphasis|in progress}}
{{clear}}

Revision as of 13:04, 8 January 2019

Nokta dizisi

Menü konumu
Draft → PointArray
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
0.18
Ayrıca bkz
Draft Array, Draft PathArray

Tanım

The PointArray tool places copies of a selected shape along various selected points.

The PointArray tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Object arranged at specific points

How to use

  1. Select an object that you wish to distribute.
  2. Select a point compound.
  3. Press the Draft PointArray button.

To create a point compound select various Draft Points and then press the Draft Upgrade button.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected objects or not.

Properties

  • VeriBase: specifies the object to duplicate.
  • VeriCount: (read-only) specifies the number of copies of the base object. This number will depend on the number of Draft Points in the compound.
  • VeriPointList: specifies the compound object with the points needed to place the copies of the base object.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The PointArray tool can be used in macros and from the Python console by using the following function:

PointArray = makePointArray(base, ptlst)
  • Creates a PointArray object from the base object, by placing the copies along ptlst.
  • ptlst is an object with Geometry, Links, or Components attributes that define the position of the copies.

Example:

import FreeCAD, Draft

Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

# Create a compound of points
addList, deleteList = Draft.upgrade([p1, p2, p3])

# Extract the compound from the list
compound = addList[0]

PointArray = Draft.makePointArray(Polygon, compound)